Update Cardholder Status by Cardholder ID in C2P
Send a request to this endpoint to specify the cardholder’s status. Note:
- If the cardholder’s status is set to false, then cards of the specific issuer, added in the C2P profile, are deactivated. Issuers can send request to this endpoint for multiple reasons, one of them is to prevent fraudulent transactions.
- If the cardholder’s status is reverted to true, the C2P profile is again active for usage.
PUT
/
v1
/
click2pay
/
VISA
/
update
/
customer
/
{customerId}
/
status
Update Cardholder Status by Cardholder ID in C2P
curl --request PUT \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/click2pay/VISA/update/customer/{customerId}/status' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"customerBID": "123456",
"active": true
}
'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/click2pay/VISA/update/customer/{customerId}/status"
payload = {
"customerBID": "123456",
"active": True
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({customerBID: '123456', active: true})
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/click2pay/VISA/update/customer/{customerId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestTraceId": "351562ba-83cf-11ee-b962-0242ac120002"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The customer id of which customer you want to update.
Query Parameters
The audit user to log the request.
Body
application/json
Response
Accepted
Unique identifier of the request
Required string length:
36Example:
"351562ba-83cf-11ee-b962-0242ac120002"
Was this page helpful?
⌘I
Update Cardholder Status by Cardholder ID in C2P

